Bug 1201024 - [RFE] Increase sysctl -p line size limit
Summary: [RFE] Increase sysctl -p line size limit
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: procps
Version: 6.6
Hardware: All
OS: Linux
medium
low
Target Milestone: rc
: ---
Assignee: Ondrej Vasik
QA Contact: Branislav Náter
Petr Bokoc
URL:
Whiteboard:
Depends On:
Blocks: 1075802 1172231
TreeView+ depends on / blocked
 
Reported: 2015-03-11 21:14 UTC by Frank Hirtz
Modified: 2019-11-14 06:39 UTC (History)
6 users (show)

Fixed In Version: procps-3.2.8-36.el6
Doc Type: Enhancement
Doc Text:
*sysctl* configuration files can now contain longer lines Previously, *sysctl* configuration files could only contain lines up to 255 characters long. With this update, the maximum acceptable line length has been increased to 4095 characters.
Clone Of:
Environment:
Last Closed: 2016-05-11 00:28:12 UTC
Target Upstream Version:


Attachments (Terms of Use)
procps-3.2.8-sysctl-linelen-4k.patch (535 bytes, patch)
2015-12-16 11:44 UTC, Jaromír Cápík
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:0904 normal SHIPPED_LIVE procps bug fix and enhancement update 2016-05-10 22:51:16 UTC

Description Frank Hirtz 2015-03-11 21:14:49 UTC
Description of problem:

In RHEL6, 'sysctl -p' has a hard-coded line size limit of 256 characters. 

<sysctl.c>
/*
 *     Preload the sysctl's from the conf file
 *           - we parse the file and then reform it (strip out whitespace)
 *
 */
static int Preload(const char *restrict const filename) {
   char oneline[256];
   char buffer[256];
   FILE *fp;
</sysctl.c>

Upstream and RHEL7 increase this to 4k:

<RHEL7 sysctl.c>
#define LINELEN 4096

/*
 * Preload the sysctl's from the conf file.  We parse the file and then
 * reform it (strip out whitespace).
 */
static int Preload(const char *restrict const filename)
{
        char oneline[LINELEN];
        char buffer[LINELEN];
        FILE *fp;
</RHEL7 sysctl.c>

My client would like to request that we increase this limit to bring it into line with newer releases as they currently do have conf lines which exceed this (and the rc.local workaround isn't ideal).

Version-Release number of selected component (if applicable):
procps-3.2.8-30.el6.x86_64

Comment 3 Jaromír Cápík 2015-12-16 11:44:45 UTC
Created attachment 1106383 [details]
procps-3.2.8-sysctl-linelen-4k.patch

Comment 9 errata-xmlrpc 2016-05-11 00:28:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0904.html


Note You need to log in before you can comment on or make changes to this bug.